/*
	File:		PlfmDef.h

	Contains:	Platform specific definitions

	Written by:	Richard Rodseth

	Copyright:	 1993 - 1995 by Apple Computer, Inc., all rights reserved.

*/

#ifndef _PLFMDEF_
#define _PLFMDEF_

#ifndef __LOWMEM__
#include <LowMem.h>
#endif

//==============================================================================
// Macros
//==============================================================================

#define	ODMethod	virtual	
#define ODVMethod	virtual
#define ODNVMethod
#define ODPascal	pascal
#define ODStatic	static

//------------------------------------------------------------------------------
//
// ODUnused is for parameters not used in a function. It is similar to 
// #pragma unused. As a matter of fact, ODUnused can be a pragma statement
// when it functions correctly in C++. For the time being, we have this little 
// macro to get rid of the compiler warnings. Please use this macro instead of
// commenting out the parameter name.

#define ODUnused(x)	((void) &x)

//==============================================================================
// Globals
//==============================================================================

#pragma lib_export on
extern QDGlobals * const gODQD;
#pragma lib_export off

#define ODQDGlobals			(*gODQD)


#endif	// _PLFMDEF_
