/*
	File:		StorUtil.h

	Contains:	Utilities for Storage.

	Owned by:	Vincent Lo

	Copyright:	 1994 - 1995 by Apple Computer, Inc., all rights reserved.

	
	In Progress:
		
*/



#ifndef _STORUTIL_
#define _STORUTIL_

#ifndef SOM_ODDraft_xh
#include <Draft.xh>
#endif

#ifndef _ODTYPES_
#include <ODTypes.h>
#endif

#ifndef _ODMEMORY_
#include <ODMemory.h>
#endif

#ifndef _PLFMFILE_
#include <PlfmFile.h>
#endif

#ifndef SOM_ODPart_xh
#include <Part.xh>
#endif

class ODContainer;
class ODSession;
class ODStorageUnitView;
class ODStorageUnit;

#ifdef _OD_IMPL_SHARE_UTILS_
#pragma import on
#endif


extern "C" {
	void		ODSUAddPropValue(Environment* ev,
									ODStorageUnit* su,
									ODPropertyName prop,
									ODValueType val);
	void		ODSUForceFocus(Environment* ev, 
								ODStorageUnit* su,
								ODPropertyName prop,
								ODValueType val);
	ODBoolean	ODSUExistsThenFocus(Environment* ev, 
								ODStorageUnit* su,
								ODPropertyName prop,
								ODValueType val);
	void		ODSURemoveProperty(Environment* ev,
								ODStorageUnit* su,
								ODPropertyName prop);
	
	PlatformFile*	GetPlatformFileFromContainer(Environment* ev, ODContainer* container);
	ODFileSpec		GetODFileSpecFromContainer(Environment* ev, ODContainer* container);

	ODContainer*	CreateFileContainer(Environment* ev, ODSession* session, FSSpec* fsSpec);
	ODContainer*	GetFileContainer(Environment* ev, ODSession* session, FSSpec* fsSpec);

	ODContainer*	CreateMemoryContainer(Environment* ev,
						ODSession* session,
						ODHandle handle,
						ODContainerType containerType);
	ODContainer*	GetMemoryContainer(Environment* ev, 
						ODSession* session,
						ODHandle handle,
						ODContainerType containerType);

	ODULong			StorageUnitGetValue(ODStorageUnit* su, Environment* ev,
										ODULong size, void *buffer);
	ODULong			StorageUnitViewGetValue(ODStorageUnitView* suv, Environment* ev,
										ODULong size, void *buffer);

	void			StorageUnitSetValue(ODStorageUnit* su, Environment* ev,
										ODULong size, const void *buffer);
	void			StorageUnitViewSetValue(ODStorageUnitView* suv, Environment* ev,
										ODULong size, const void *buffer);
	void			StorageUnitSetPromiseValue(ODStorageUnit* su, Environment* ev,
										ODValueType value, ODULong offset,
										ODULong size, const void *buffer, ODPart *sourcePart);

	ODBoolean		StorageUnitGetStylFromStyledText(ODStorageUnit* su,
						Environment* ev,
						ODULong* size,
						ODPtr* styl);
						
	ODCloneKind GetOriginalCloneKind(Environment* ev, ODDraft* draft);

	void RemoveDataInterchangeProperties (Environment* ev,
						ODStorageUnit* su,
						ODBoolean clonedToFileContainer);
}

#ifdef _OD_IMPL_SHARE_UTILS_
#pragma import off
#endif
	
#endif // _STORUTIL_