/*
	File:		UtilErrs.h

	Contains:	Error codes for various OpenDoc utilities. The error codes are
				gathered together here in order to avoid numbering conflicts
				and to allow for reuse.

	Owned by:	Nick Pilch

	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.

*/

#ifndef _UTILERRS_
#define _UTILERRS_

#ifndef _ODTYPES_
#include "ODTypes.h"
#endif

//=====================================================================================
// Error constants
//=====================================================================================

const ODError kODErrSOMException		= -29849; // Except

const ODError kODErrFileClosed			= -29848; // PlfmFile
const ODError kODErrFileOpened			= -29847; // PlfmFile

const ODError kODErrCantLoadSOMClass	= -29846; // ODNewObj

const ODError kODErrAssertionFailed		= -29845; // ODDebug

const ODError kODErrReadErr            	= -29844; // BndNSUtl
const ODError kODErrWriteErr           	= -29843; // BndNSUtl

const ODError kODErrHashValueSizeTooBig = -29842; // AEHshTbl, SIHshTbl

const ODError kODErrInvalidKey          = -29841; // StrHshTb

const ODError kODErrShapeTooComplex     = -29840; // AltPoly: Polygon shape is too huge for QuickDraw

// Error codes up to -29830 are available for future expansion.

#endif /* _UTILERRS_ */